# gdcm::Fragment Class Reference

Class to represent a Fragment. More...

`#include <gdcmFragment.h>`

Inheritance diagram for gdcm::Fragment:
[legend]
Collaboration diagram for gdcm::Fragment:
[legend]

List of all members.

## Public Member Functions

| Fragment ()
VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadValue (std::istream &is)
template<typename TSwap >
std::ostream & | Write (std::ostream &os) const

## Friends

std::ostream & | operator<< (std::ostream &os, const Fragment &val)

## Detailed Description

Class to represent a Fragment.

Examples:

  FixBrokenJ2K.cxx.

## Constructor & Destructor Documentation

gdcm::Fragment::Fragment | ( |  | ) | `[inline]`

## Member Function Documentation

VL gdcm::Fragment::GetLength | ( |  | ) | const`[inline]`

Reimplemented from gdcm::DataElement.

References gdcm::VL::GetLength().

template<typename TSwap >

std::istream& gdcm::Fragment::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

Reimplemented in gdcm::BasicOffsetTable.

References gdcm::VL::Read().

Referenced by gdcm::SequenceOfFragments::Read().

template<typename TSwap >

std::istream& gdcm::Fragment::ReadValue | ( | std::istream & | is | ) | `[inline]`

References gdcmWarningMacro, and gdcm::ParseException::SetLastElement().

template<typename TSwap >

std::ostream& gdcm::Fragment::Write | ( | std::ostream & | os | ) | const`[inline]`

Reimplemented from gdcm::DataElement.

References gdcm::ByteValue::GetLength(), gdcm::ByteValue::Write(), and gdcm::VL::Write().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Fragment & | val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmFragment.h